curl -X POST https://api.chargeapi.co/v1/accounts \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"email": "example@example.com",
"name": "Example",
"type": "business"
}'
{
"id": "acct_yYg01pWLFArG9cUEz7yQtqNLkbxFWnqQ",
"object": "account",
"billing_details": {
"billing_address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
}
},
"business_type": null,
"contact": {
"email": "example@example.com",
"name": "Example",
"phone": "+33189000010"
},
"created": "2026-04-01T00:34:57.156Z",
"default_currency": "eur",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "metric",
"name": "Example Account",
"plan": "professional",
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly",
"reporting_enabled": true
},
"registration_number": null,
"status": "active",
"type": "business",
"updated": "2026-04-01T02:35:21.644Z",
"wallet_balance": 0
}
Accounts
Create an Account
curl -X POST https://api.chargeapi.co/v1/accounts \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"email": "example@example.com",
"name": "Example",
"type": "business"
}'
{
"id": "acct_yYg01pWLFArG9cUEz7yQtqNLkbxFWnqQ",
"object": "account",
"billing_details": {
"billing_address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
}
},
"business_type": null,
"contact": {
"email": "example@example.com",
"name": "Example",
"phone": "+33189000010"
},
"created": "2026-04-01T00:34:57.156Z",
"default_currency": "eur",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "metric",
"name": "Example Account",
"plan": "professional",
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly",
"reporting_enabled": true
},
"registration_number": null,
"status": "active",
"type": "business",
"updated": "2026-04-01T02:35:21.644Z",
"wallet_balance": 0
}
Creates an account. Accounts are the top-level container for vehicles, drivers, charging stations, payments, and reporting. Use this endpoint to onboard a fleet, platform integration, or business entity into Charge.
curl -X POST https://api.chargeapi.co/v1/accounts \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"email": "example@example.com",
"name": "Example",
"type": "business"
}'
{
"id": "acct_yYg01pWLFArG9cUEz7yQtqNLkbxFWnqQ",
"object": "account",
"billing_details": {
"billing_address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
}
},
"business_type": null,
"contact": {
"email": "example@example.com",
"name": "Example",
"phone": "+33189000010"
},
"created": "2026-04-01T00:34:57.156Z",
"default_currency": "eur",
"description": null,
"email": "example@example.com",
"metadata": {},
"metric_system": "metric",
"name": "Example Account",
"plan": "professional",
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly",
"reporting_enabled": true
},
"registration_number": null,
"status": "active",
"type": "business",
"updated": "2026-04-01T02:35:21.644Z",
"wallet_balance": 0
}
Parameters
string
ISO-4217 currency code.
string
required
Primary contact email.
string
required
Display name of the account.
string
Subscription plan.
string
required
Legal entity type.Available options:
individual, businessMore parameters
object
Set of key-value pairs that you can attach to an object.
string
Preferred measurement system.Available options:
metric, imperialobject
Settings for billing, notifications, and reporting.
Show properties
Show properties
string
Billing cycle preference (
monthly, weekly, etc.).string
Preferred default currency code.
string | null
ID of the default payment method used for billing.
boolean
Whether the account receives charging session notifications.
string
Frequency of scheduled reports.
boolean
Whether reporting is enabled for the account.

